org.deidentifier.arx.metric.v2

## Class DomainShareReliable

- java.lang.Object
- - org.deidentifier.arx.metric.v2.DomainShareReliable

All Implemented Interfaces:
  java.io.Serializable

    public class DomainShareReliable
    extends java.lang.Object
    implements java.io.Serializable

This class represents a reliable set of domain shares for an attribute. The shares are derived from a materialized generalization hierarchy. It is assumed that the complete domain of the attribute is represented in the hierarchy.

Author:
  Raffael Bild
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`DomainShareReliable(java.lang.String[][] rawHierarchy, java.lang.String[] encodedValues, int[][] encodedHierarchy)` Creates a new set of domain shares derived from the given attribute.

### Method Summary

All Methods Instance Methods Concrete Methods
`DomainShareReliable` `clone()`
`org.apache.commons.math3.fraction.BigFraction` `getShare(int value, int level)` Returns the share of the given value.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DomainShareReliable

    public DomainShareReliable(java.lang.String[][] rawHierarchy,
                               java.lang.String[] encodedValues,
                               int[][] encodedHierarchy)

Creates a new set of domain shares derived from the given attribute.

Parameters:
  `rawHierarchy` -
  `encodedValues` -
  `encodedHierarchy` -

### Method Detail

#### clone

    public DomainShareReliable clone()

Overrides:
  `clone` in class `java.lang.Object`

#### getShare

    public org.apache.commons.math3.fraction.BigFraction getShare(int value,
                                                                  int level)

Returns the share of the given value.

Parameters:
  `value` -
  `level` -
Returns: